# Update a call recording

Update a call recording status during the call, a call recording status can be changed to `paused`, `ongoing`, or `completed.`

## Update call recording

> Update a call recording

```json
{"openapi":"3.0.3","info":{"title":"Channels","version":"v1"},"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"PatchCallRecording":{"type":"object","title":"PatchCallRecording","additionalProperties":false,"properties":{"status":{"type":"string","enum":["paused","ongoing","completed"]}}},"CallRecording":{"type":"object","title":"ChannelCallRecording","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"callId":{"type":"string","format":"uuid"},"channelId":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/CallRecordingStatus"},"origin":{"$ref":"#/components/schemas/CallRecordingOrigin"},"duration":{"type":"integer"},"stereo":{"type":"boolean"},"endCause":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"startedAt":{"type":"string","format":"date-time"},"endedAt":{"type":"string","format":"date-time"}},"required":["id","callId","status","origin","createdAt","updatedAt"]},"CallRecordingStatus":{"type":"string","enum":["accepted","ongoing","paused","completed","available","absent","failed"]},"CallRecordingOrigin":{"type":"string","enum":["call-command-record","call-command-record-call","create-call","bridge-call"]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"requestError":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"An error"}}},"paths":{"/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/recordings/{recordingId}":{"patch":{"summary":"Update call recording","operationId":"patchCallRecording","description":"Update a call recording","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchCallRecording"}}}},"responses":{"202":{"description":"Call Recording update accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallRecording"}}}},"400":{"$ref":"#/components/responses/requestError"},"404":{"$ref":"#/components/responses/requestError"},"422":{"$ref":"#/components/responses/requestError"}}}}}}
```

### Example 1: Pause a call recording

{% tabs %}
{% tab title="Request Headers" %}

```
curl -X PATCH "https://api.bird.com/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/recordings/{recordingId}" \
     -H "Authorization: AccessKey YOUR_SECRET_TOKEN"
```

{% endtab %}

{% tab title="Request Body" %}

```
{
  "status": "paused"
}
```

{% endtab %}

{% tab title="Response" %}

```
{​
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",​
  "channelId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",​
  "status": "accepted",​
  "origin": "call-command-record",​
  "duration": 0,​
  "stereo": true,​
  "endCause": "string",​
  "createdAt": "2023-10-25T14:36:18.580Z",​
  "updatedAt": "2023-10-25T14:36:18.580Z",​
  "startedAt": "2023-10-25T14:36:18.580Z",​
  "endedAt": "2023-10-25T14:36:18.580Z"​
​}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/voice-api/voice-calls-api/update-a-call-recording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
